[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/eclipse/devel eclipse-javadoc.patch, NONE, 1.1 eclipse.spec, 1.160, 1.161



Author: overholt

Update of /cvs/dist/rpms/eclipse/devel
In directory cvs.devel.redhat.com:/tmp/cvs-serv29163

Modified Files:
	eclipse.spec 
Added Files:
	eclipse-javadoc.patch 
Log Message:
* Mon Jul 04 2005 Andrew Overholt <overholt redhat com> 3.1.0_fc-2
- Remove remaining pre-built ant jars (but don't symlink to ant.jar until we
  have ant 1.6.5 - rh#162444).
- Bump requirement on gcc to get fix for rh#158614.
- Add patch to not try to link to external javadocs and include the javadoc
  output in the build output.
- Add build and runtime requirement on ant-javamail (I'm not sure how we missed
  this previously).


eclipse-javadoc.patch:
 org.eclipse.jdt.doc.isv/buildDoc.xml         |    2 +-
 org.eclipse.pde.doc.user/buildDoc.xml        |    2 +-
 org.eclipse.platform.doc.isv/buildDoc.xml    |    2 +-
 org.eclipse.platform.doc.isv/platformOptions |    1 +
 4 files changed, 4 insertions(+), 3 deletions(-)

--- NEW FILE eclipse-javadoc.patch ---
diff -uNr plugins/org.eclipse.jdt.doc.isv/buildDoc.xml plugins/org.eclipse.jdt.doc.isv/buildDoc.xml
--- plugins/org.eclipse.jdt.doc.isv/buildDoc.xml	2005-07-04 14:24:30.000000000 -0400
+++ plugins/org.eclipse.jdt.doc.isv/buildDoc.xml	2005-07-04 14:25:04.000000000 -0400
@@ -67,7 +67,7 @@
 	<delete dir="reference/api"/>
 	<mkdir dir="reference/api"/>
 
-	<exec dir="." executable="${javadoc}" output="doc.bin.log">
+	<exec dir="." executable="${javadoc}">
 		<arg line="@${basedir}/${optionsFile} -J-Xmx500M" />
 	</exec>
 </target>
diff -uNr plugins/org.eclipse.pde.doc.user/buildDoc.xml plugins/org.eclipse.pde.doc.user/buildDoc.xml
--- plugins/org.eclipse.pde.doc.user/buildDoc.xml	2005-07-04 14:24:30.000000000 -0400
+++ plugins/org.eclipse.pde.doc.user/buildDoc.xml	2005-07-04 14:25:08.000000000 -0400
@@ -51,7 +51,7 @@
 		<delete dir="reference/api"/>
 		<mkdir dir="reference/api"/>
 
-		<exec dir="." executable="${javadoc}" output="doc.bin.log">
+		<exec dir="." executable="${javadoc}">
 			<arg line="@${basedir}/${optionsFile} -J-Xmx1000M" />
 		</exec>
 	</target>
diff -uNr plugins/org.eclipse.platform.doc.isv/buildDoc.xml plugins/org.eclipse.platform.doc.isv/buildDoc.xml
--- plugins/org.eclipse.platform.doc.isv/buildDoc.xml	2005-07-04 14:24:30.000000000 -0400
+++ plugins/org.eclipse.platform.doc.isv/buildDoc.xml	2005-07-04 14:25:11.000000000 -0400
@@ -100,7 +100,7 @@
 
 		<!--retrieve osgi javadoc-->
 		<unzip src="../org.eclipse.osgi/osgi/osgiJavaDoc.zip" dest="reference/osgi" />
-		<exec dir="." executable="${javadoc}" output="doc.bin.log">
+		<exec dir="." executable="${javadoc}">
 			<arg line="@${basedir}/${optionsFile} -J-Xmx1000M" />
 		</exec>
 
diff -uNr plugins/org.eclipse.platform.doc.isv/platformOptions plugins/org.eclipse.platform.doc.isv/platformOptions
--- plugins/org.eclipse.platform.doc.isv/platformOptions	2005-07-04 14:25:31.000000000 -0400
+++ plugins/org.eclipse.platform.doc.isv/platformOptions	2005-07-04 14:25:19.000000000 -0400
@@ -9,7 +9,7 @@
 -doctitle "Eclipse Platform API Specification"
 -header "<b>Eclipse Platform</b><br>Release 3.1"
 -bottom '<font size="-1"><p><a href="{ docRoot}/../misc/api-usage-rules.html">Guidelines for using Eclipse APIs</a>.</p><p>Copyright (c) IBM Corp. and others 2000, 2005. All rights reserved.</p></font>'
--link http://java.sun.com/j2se/1.4.2/docs/api
+-linkoffline http://java.sun.com/j2se/1.4.2/docs/api
 -link  ../osgi
 
 org.eclipse.ant.core


Index: eclipse.spec
===================================================================
RCS file: /cvs/dist/rpms/eclipse/devel/eclipse.spec,v
retrieving revision 1.160
retrieving revision 1.161
diff -u -r1.160 -r1.161
--- eclipse.spec	4 Jul 2005 17:08:45 -0000	1.160
+++ eclipse.spec	4 Jul 2005 22:14:33 -0000	1.161
@@ -95,6 +95,7 @@
 Patch33:        %{name}-compare-create-api.patch
 # https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=162177
 Patch34:	%{name}-bz162177.patch
+Patch35:	%{name}-javadoc.patch
 
 %if %{gcj_support}
 ExclusiveArch: %{ix86} x86_64 ppc
@@ -114,7 +115,7 @@
 BuildRequires:  mozilla-nspr-devel >= 37:1.7.8
 BuildRequires:  xorg-x11-devel
 %if %{gcj_support}
-BuildRequires:	gcc-java >= 4.0.0-2
+BuildRequires:	gcc-java >= 4.0.0-9
 BuildRequires:	java-1.4.2-gcj-compat-devel >= 1.4.2.0-40jpp_24rh
 BuildRequires:  dos2unix
 %else
@@ -123,7 +124,7 @@
 
 BuildRequires: ant-antlr ant-apache-bcel ant-apache-log4j ant-apache-oro ant-apache-regexp ant-apache-resolver ant-commons-logging
 #BuildRequires: ant-apache-bsf ant-commons-net
-BuildRequires: ant-jdepend ant-jmf ant-junit ant-nodeps ant-swing ant-trax ant-jsch
+BuildRequires: ant-javamail ant-jdepend ant-jmf ant-junit ant-nodeps ant-swing ant-trax ant-jsch
 BuildRequires: jsch >= 0:0.1.18-1jpp
 BuildRequires: jakarta-commons-beanutils jakarta-commons-collections jakarta-commons-digester jakarta-commons-dbcp jakarta-commons-el jakarta-commons-fileupload jakarta-commons-launcher jakarta-commons-logging jakarta-commons-modeler jakarta-commons-pool
 BuildRequires: mx4j >= 2.1
@@ -147,7 +148,7 @@
 Obsoletes:	ecj
 Provides:	ecj
 %if %{gcj_support}
-Requires:	libgcj >= 4.0.0-2
+Requires:	libgcj >= 4.0.0-9
 Requires(post,postun): java-1.4.2-gcj-compat >= 1.4.2.0-40jpp_24rh
 %else
 Requires:	java >= 1.4.2
@@ -167,7 +168,7 @@
 Provides:       %{name}-gtk2 = %{epoch}:%{version}-%{release}
 %if %{gcj_support}
 Requires:	java-1.4.2-gcj-compat >= 1.4.2.0-40jpp_24rh
-Requires:	libgcj >= 4.0.0-2
+Requires:	libgcj >= 4.0.0-9
 Requires(post,postun): java-1.4.2-gcj-compat >= 1.4.2.0-40jpp_24rh
 %else
 Requires:	java >= 1.4.2
@@ -181,7 +182,7 @@
 
 Requires: ant-antlr ant-apache-bcel ant-apache-log4j ant-apache-oro ant-apache-regexp ant-apache-resolver ant-commons-logging
 #Requires: ant-apache-bsf ant-commons-net
-Requires: ant-jdepend ant-jmf ant-junit ant-nodeps ant-swing ant-trax ant-jsch
+Requires: ant-javamail ant-jdepend ant-jmf ant-junit ant-nodeps ant-swing ant-trax ant-jsch
 Requires: jsch >= 0:0.1.18-1jpp
 Requires: jakarta-commons-beanutils jakarta-commons-collections jakarta-commons-digester jakarta-commons-dbcp jakarta-commons-el jakarta-commons-fileupload jakarta-commons-launcher jakarta-commons-logging jakarta-commons-modeler jakarta-commons-pool
 Requires: mx4j >= 2.1
@@ -208,7 +209,7 @@
 Requires:       %{name}-ecj = %{epoch}:%{version}-%{release}
 Requires:       junit >= 3.8.1-3jpp
 %if %{gcj_support}
-Requires:	libgcj >= 4.0.0-2
+Requires:	libgcj >= 4.0.0-9
 Requires(post,postun): java-1.4.2-gcj-compat >= 1.4.2.0-40jpp_24rh
 %endif
 
@@ -230,7 +231,7 @@
 Requires:       %{name}-platform-devel = %{epoch}:%{version}-%{release}
 %if %{gcj_support}
 Requires(post,postun): java-1.4.2-gcj-compat >= 1.4.2.0-40jpp_24rh
-Requires:	libgcj >= 4.0.0-2
+Requires:	libgcj >= 4.0.0-9
 %endif
 
 %package        pde-devel
@@ -252,7 +253,7 @@
 Group:          Text Editors/Integrated Development Environments (IDE)
 %if %{gcj_support}
 Requires(post,postun): java-1.4.2-gcj-compat >= 1.4.2.0-40jpp_24rh
-Requires:	libgcj >= 4.0.0-2
+Requires:	libgcj >= 4.0.0-9
 %endif
 
 %description -n %{libname}-gtk2
@@ -262,7 +263,7 @@
 Summary:        Eclipse Rich Client Platform
 Group:          Development/Languages
 %if %{gcj_support}
-Requires:	libgcj >= 4.0.0-2
+Requires:	libgcj >= 4.0.0-9
 Requires(post,postun): java-1.4.2-gcj-compat >= 1.4.2.0-40jpp_24rh
 %else
 Requires:	java >= 1.4.2
@@ -340,6 +341,7 @@
 %patch33 -p0
 popd
 %patch34 -p1
+%patch35 -p0
 
 %if %{gcj_support}
   # Fedora splash screen.
@@ -377,50 +379,37 @@
 ln -sf %{_javadir}/ant/ant-apache-resolver.jar plugins/org.apache.ant/lib/ant-apache-resolver.jar
 ln -sf %{_javadir}/ant/ant-commons-logging.jar plugins/org.apache.ant/lib/ant-commons-logging.jar
 #ln -sf %{_javadir}/ant/ant-commons-net.jar plugins/org.apache.ant/lib/ant-commons-net.jar
-# ------------------------------------------------------------------------
-# FIXME:  can we just remove these?
-#rm -f plugins/org.apache.ant/lib/ant-icontract.jar
-##ln -sf %{_javadir}/ant/ant-icontract.jar plugins/org.apache.ant/lib/ant-icontract.jar
-#rm -f plugins/org.apache.ant/lib/ant-jai.jar
-##ln -sf %{_javadir}/ant/ant-jai.jar plugins/org.apache.ant/lib/ant-jai.jar
+# FIXME:  Don't symlink this until we have ant 1.6.5 (rh#162444)
 #ln -sf %{_javadir}/ant.jar plugins/org.apache.ant/lib/ant.jar
-#rm -f plugins/org.apache.ant/lib/ant-javamail.jar
-##ln -sf %{_javadir}/ant/ant-javamail.jar plugins/org.apache.ant/lib/ant-javamail.jar
-# ------------------------------------------------------------------------
+ln -sf %{_javadir}/ant/ant-javamail.jar plugins/org.apache.ant/lib/ant-javamail.jar
 ln -sf %{_javadir}/ant/ant-jdepend.jar plugins/org.apache.ant/lib/ant-jdepend.jar
 ln -sf %{_javadir}/ant/ant-jmf.jar plugins/org.apache.ant/lib/ant-jmf.jar
 ln -sf %{_javadir}/ant/ant-jsch.jar plugins/org.apache.ant/lib/ant-jsch.jar
 ln -sf %{_javadir}/ant/ant-junit.jar plugins/org.apache.ant/lib/ant-junit.jar
 ln -sf %{_javadir}/ant-launcher.jar plugins/org.apache.ant/lib/ant-launcher.jar
-# ------------------------------------------------------------------------
 ln -sf %{_javadir}/ant/ant-nodeps.jar plugins/org.apache.ant/lib/ant-nodeps.jar
-# ------------------------------------------------------------------------
-## FIXME:  can we just remove these?
-#rm -f plugins/org.apache.ant/lib/ant-starteam.jar
-##ln -sf %{_javadir}/ant/ant-starteam.jar plugins/org.apache.ant/lib/ant-starteam.jar
-#rm -f plugins/org.apache.ant/lib/ant-stylebook.jar
-##ln -sf %{_javadir}/ant/ant-stylebook.jar plugins/org.apache.ant/lib/ant-stylebook.jar
-# ------------------------------------------------------------------------
 ln -sf %{_javadir}/ant/ant-swing.jar plugins/org.apache.ant/lib/ant-swing.jar
 ln -sf %{_javadir}/ant/ant-trax.jar plugins/org.apache.ant/lib/ant-trax.jar
-# ------------------------------------------------------------------------
-# FIXME:  can we just remove these?
-#rm -f plugins/org.apache.ant/lib/ant-vaj.jar
-##ln -sf %{_javadir}/ant/ant-vaj.jar plugins/org.apache.ant/lib/ant-vaj.jar
-#rm -f plugins/org.apache.ant/lib/ant-weblogic.jar
-##ln -sf %{_javadir}/ant/ant-weblogic.jar plugins/org.apache.ant/lib/ant-weblogic.jar
-#rm -f plugins/org.apache.ant/lib/ant-xalan1.jar
-##ln -sf %{_javadir}/ant/ant-xalan1.jar plugins/org.apache.ant/lib/ant-xalan1.jar
-#rm -f plugins/org.apache.ant/lib/ant-xslp.jar
-##ln -sf %{_javadir}/ant/ant-xslp.jar plugins/org.apache.ant/lib/ant-xslp.jar
-# ------------------------------------------------------------------------
+# We don't have these in FC4
+rm -f plugins/org.apache.ant/lib/ant-apache-bsf.jar
+rm -f plugins/org.apache.ant/lib/ant-commons-net.jar
+# We used to ship these pre-built, but we're not going to do that anymore.  If
+# we can build them using free stuff, we will. -- overholt, 2005-07-04
+rm -f plugins/org.apache.ant/lib/ant-icontract.jar
+rm -f plugins/org.apache.ant/lib/ant-jai.jar
+rm -f plugins/org.apache.ant/lib/ant-netrexx.jar
+rm -f plugins/org.apache.ant/lib/ant-starteam.jar
+rm -f plugins/org.apache.ant/lib/ant-stylebook.jar
+rm -f plugins/org.apache.ant/lib/ant-vaj.jar
+rm -f plugins/org.apache.ant/lib/ant-weblogic.jar
+rm -f plugins/org.apache.ant/lib/ant-xalan1.jar
+rm -f plugins/org.apache.ant/lib/ant-xslp.jar
 ## END ANT ##
 # BEGIN LUCENE ##
 ln -sf %{_javadir}/lucene.jar plugins/org.apache.lucene/lucene-1.4.3.jar
 ln -sf %{_datadir}/lucene/lucene-demos-1.4.3.jar plugins/org.apache.lucene/parser.jar
 # END LUCENE ##
 ln -sf %{_javadir}/jsch.jar plugins/org.eclipse.team.cvs.ssh2/jsch-0.1.18.jar
-# ------------------------------------------------------------------------
 ## BEGIN TOMCAT ##
 rm -f plugins/org.eclipse.tomcat/commons-beanutils.jar
 rm -f plugins/org.eclipse.tomcat/commons-collections.jar
@@ -462,7 +451,6 @@
 ln -sf %{tomcatlibdir}/server/lib/tomcat-http11.jar plugins/org.eclipse.tomcat/tomcat-http11.jar
 ln -sf %{tomcatlibdir}/server/lib/tomcat-util.jar plugins/org.eclipse.tomcat/tomcat-util.jar
 ## END TOMCAT ##
-# ------------------------------------------------------------------------
 ln -sf %{_javadir}/junit.jar plugins/org.junit/junit.jar
 
 rm -f *.jar
@@ -507,10 +495,10 @@
   ## 1b. Natively-compile it
   #gcj -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic \
   #  -o ecj-bootstrap.jar.so ecj-bootstrap.jar
-  #
+  # 
   #gcj-dbtool -n ecj-bootstrap.db 30000
   #gcj-dbtool -a ecj-bootstrap.db ecj-bootstrap.jar{,.so}
-  #
+  
   ## 2a. Build ecj
   export CLASSPATH=ecj-bootstrap.jar:$ORIGCLASSPATH
   #export GCJ_PROPERTIES="gnu.gcj.precompiled.db.path=`pwd`/ecj-bootstrap.db"
@@ -518,15 +506,15 @@
 ant -buildfile jdtcoresrc/compilejdtcorewithjavac.xml
 
 %if %{gcj_support}
-#  # 2b. Natively-compile ecj
-#  gcj -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic \
-#    -o jdtcoresrc/jdtcore.jar.so jdtcoresrc/jdtcore.jar
-#  
-#  gcj-dbtool -n jdtcoresrc/jdtcore.db 30000
-#  gcj-dbtool -a jdtcoresrc/jdtcore.db jdtcoresrc/jdtcore.jar{,.so}
-#  export GCJ_PROPERTIES="gnu.gcj.precompiled.db.path=`pwd`/jdtcoresrc/jdtcore.db"
-  
-  # Remove our gcj-built ecj
+  ## 2b. Natively-compile ecj
+  #gcj -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic \
+  #  -o jdtcoresrc/jdtcore.jar.so jdtcoresrc/jdtcore.jar
+  #
+  #gcj-dbtool -n jdtcoresrc/jdtcore.db 30000
+  #gcj-dbtool -a jdtcoresrc/jdtcore.db jdtcoresrc/jdtcore.jar{,.so}
+  #export GCJ_PROPERTIES="gnu.gcj.precompiled.db.path=`pwd`/jdtcoresrc/jdtcore.db"
+  #
+  ## Remove our gcj-built ecj
   #rm ecj-bootstrap.db ecj-bootstrap.jar
   rm ecj-bootstrap.jar
 %endif
@@ -536,15 +524,15 @@
 ant -buildfile jdtcoresrc/compilejdtcore.xml
 
 %if %{gcj_support}
-#  # Natively-compile it
-#  gcj -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic \
-#    -o jdtcore.jar.so jdtcore.jar
-#  gcj-dbtool -n jdtcore.db 30000
-#  gcj-dbtool -a jdtcore.db jdtcore.jar{,.so}
-#  export GCJ_PROPERTIES="gnu.gcj.precompiled.db.path=`pwd`/jdtcore.db"
-#  
-#  # Remove old native bits
-#  rm jdtcoresrc/jdtcore.db jdtcoresrc/jdtcore.jar.so
+  ## Natively-compile it
+  #gcj -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic \
+  #  -o jdtcore.jar.so jdtcore.jar
+  #gcj-dbtool -n jdtcore.db 30000
+  #gcj-dbtool -a jdtcore.db jdtcore.jar{,.so}
+  #export GCJ_PROPERTIES="gnu.gcj.precompiled.db.path=`pwd`/jdtcore.db"
+  #
+  ## Remove old native bits
+  #rm jdtcoresrc/jdtcore.db jdtcoresrc/jdtcore.jar.so
 %endif
 
 # Build the rest of Eclipse
@@ -845,40 +833,37 @@
 ln -sf %{_javadir}/ant/ant-apache-resolver.jar plugins/org.apache.ant_*/lib/ant-apache-resolver.jar
 ln -sf %{_javadir}/ant/ant-commons-logging.jar plugins/org.apache.ant_*/lib/ant-commons-logging.jar
 #ln -sf %{_javadir}/ant/ant-commons-net.jar plugins/org.apache.ant_*/lib/ant-commons-net.jar
-#ln -sf %{_javadir}/ant/ant-icontract.jar plugins/org.apache.ant_*/lib/ant-icontract.jar
-#ln -sf %{_javadir}/ant/ant-jai.jar plugins/org.apache.ant_*/lib/ant-jai.jar
-ln -sf %{_javadir}/ant.jar plugins/org.apache.ant_*/lib/ant.jar
-#ln -sf %{_javadir}/ant/ant-javamail.jar plugins/org.apache.ant_*/lib/ant-javamail.jar
+# FIXME:  Don't symlink this until we have ant 1.6.5 (rh#162444)
+#ln -sf %{_javadir}/ant.jar plugins/org.apache.ant_*/lib/ant.jar
+ln -sf %{_javadir}/ant/ant-javamail.jar plugins/org.apache.ant_*/lib
 ln -sf %{_javadir}/ant/ant-jdepend.jar plugins/org.apache.ant_*/lib/ant-jdepend.jar
 ln -sf %{_javadir}/ant/ant-jmf.jar plugins/org.apache.ant_*/lib/ant-jmf.jar
 ln -sf %{_javadir}/ant/ant-jsch.jar plugins/org.apache.ant_*/lib/ant-jsch.jar
 ln -sf %{_javadir}/ant/ant-junit.jar plugins/org.apache.ant_*/lib/ant-junit.jar
 ln -sf %{_javadir}/ant-launcher.jar plugins/org.apache.ant_*/lib/ant-launcher.jar
 ln -sf %{_javadir}/ant/ant-nodeps.jar plugins/org.apache.ant_*/lib/ant-nodeps.jar
-#ln -sf %{_javadir}/ant/ant-starteam.jar plugins/org.apache.ant_*/lib/ant-starteam.jar
-#ln -sf %{_javadir}/ant/ant-stylebook.jar plugins/org.apache.ant_*/lib/ant-stylebook.jar
 ln -sf %{_javadir}/ant/ant-swing.jar plugins/org.apache.ant_*/lib/ant-swing.jar
 ln -sf %{_javadir}/ant/ant-trax.jar plugins/org.apache.ant_*/lib/ant-trax.jar
-#ln -sf %{_javadir}/ant/ant-vaj.jar plugins/org.apache.ant_*/lib/ant-vaj.jar
-#ln -sf %{_javadir}/ant/ant-weblogic.jar plugins/org.apache.ant_*/lib/ant-weblogic.jar
-#ln -sf %{_javadir}/ant/ant-xalan1.jar plugins/org.apache.ant_*/lib/ant-xalan1.jar
-#ln -sf %{_javadir}/ant/ant-xslp.jar plugins/org.apache.ant_*/lib/ant-xslp.jar
+# We don't have these in FC4
+rm -f plugins/org.apache.ant_*/lib/ant-apache-bsf.jar
+rm -f plugins/org.apache.ant_*/lib/ant-commons-net.jar
+# We used to ship these pre-built, but we're not going to do that anymore.  If
+# we can build them using free stuff, we will. -- overholt, 2005-07-04
+rm -f plugins/org.apache.ant_*/lib/ant-icontract.jar
+rm -f plugins/org.apache.ant_*/lib/ant-jai.jar
+rm -f plugins/org.apache.ant_*/lib/ant-netrexx.jar
+rm -f plugins/org.apache.ant_*/lib/ant-starteam.jar
+rm -f plugins/org.apache.ant_*/lib/ant-stylebook.jar
+rm -f plugins/org.apache.ant_*/lib/ant-vaj.jar
+rm -f plugins/org.apache.ant_*/lib/ant-weblogic.jar
+rm -f plugins/org.apache.ant_*/lib/ant-xalan1.jar
+rm -f plugins/org.apache.ant_*/lib/ant-xslp.jar
 ## END ANT ##
+# BEGIN LUCENE ##
 ln -sf %{_javadir}/lucene.jar plugins/org.apache.lucene_*/lucene-1.4.3.jar
 ln -sf %{_datadir}/lucene/lucene-demos-1.4.3.jar plugins/org.apache.lucene_*/parser.jar
-# plugins/org.eclipse.core.boot_*/boot.jar
-###ln -sf %{_javadir}/ant.jar plugins/org.eclipse.core.resources_*/lib/ant.jar
-# plugins/org.eclipse.core.resources_*/lib/antsupport.jar
-# plugins/org.eclipse.osgi_*/osgi/collx.jar
-# plugins/org.eclipse.osgi_*/osgi/ee.foundation.jar
-# plugins/org.eclipse.osgi_*/osgi/ee.minimum.jar
-# plugins/org.eclipse.osgi_*/osgi/exceptions.jar
-# plugins/org.eclipse.osgi_*/osgi/osgi-r3-jdk131-notsigned.jar
-###ln -sf %{_javadir}/xml-commons-apis.jar plugins/org.eclipse.osgi_*/osgi/xmlParserAPIs.jar
-# plugins/org.eclipse.osgi.services_*/services.jar
-# plugins/org.eclipse.osgi.util_*/util.jar
+# END LUCENE ##
 ln -sf %{_javadir}/jsch.jar plugins/org.eclipse.team.cvs.ssh2_*/jsch-0.1.18.jar
-# plugins/org.eclipse.text/text_*.jar
 ## BEGIN TOMCAT ##
 rm -f plugins/org.eclipse.tomcat_*/commons-beanutils.jar
 rm -f plugins/org.eclipse.tomcat_*/commons-collections.jar
@@ -1244,6 +1229,15 @@
 %{_datadir}/%{name}/plugins/org.eclipse.platform.source.linux.gtk.*_3.1.0
 
 %changelog
+* Mon Jul 04 2005 Andrew Overholt <overholt redhat com> 3.1.0_fc-2
+- Remove remaining pre-built ant jars (but don't symlink to ant.jar until we
+  have ant 1.6.5 - rh#162444).
+- Bump requirement on gcc to get fix for rh#158614.
+- Add patch to not try to link to external javadocs and include the javadoc
+  output in the build output.
+- Add build and runtime requirement on ant-javamail (I'm not sure how we missed
+  this previously).
+
 * Mon Jul  4 2005 Gary Benson <gbenson redhat com> 3.1.0_fc-2
 - Disable classpath access rules introduced in e.o#92398 (rh#162177).
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]